---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libsp05t003.dylib'
relocations:
  - { offsetInCU: 0x52, offset: 0x52, size: 0x8, addend: 0x0, symName: _nsk_jvmti_waitForSync, symObjAddr: 0x39B0, symBinAddr: 0x2F70, symSize: 0x270 }
  - { offsetInCU: 0xABE, offset: 0xABE, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x553E0, symBinAddr: 0xC200, symSize: 0x0 }
  - { offsetInCU: 0xAE5, offset: 0xAE5, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x57320, symBinAddr: 0xE140, symSize: 0x0 }
  - { offsetInCU: 0xB07, offset: 0xB07, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x57710, symBinAddr: 0xE530, symSize: 0x0 }
  - { offsetInCU: 0xB29, offset: 0xB29, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x586B0, symBinAddr: 0xF4D0, symSize: 0x0 }
  - { offsetInCU: 0xB3E, offset: 0xB3E, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x586C0, symBinAddr: 0xF4E0, symSize: 0x0 }
  - { offsetInCU: 0xBB9, offset: 0xBB9, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x55030, symBinAddr: 0xC0A0, symSize: 0x0 }
  - { offsetInCU: 0xBC4, offset: 0xBC4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x55034, symBinAddr: 0xC0A4, symSize: 0x0 }
  - { offsetInCU: 0xBCF, offset: 0xBCF, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x55038, symBinAddr: 0xC0A8, symSize: 0x0 }
  - { offsetInCU: 0xC14, offset: 0xC14, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x55190, symBinAddr: 0xC0B0, symSize: 0x0 }
  - { offsetInCU: 0xC8D, offset: 0xC8D, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x55248, symBinAddr: 0xC168, symSize: 0x0 }
  - { offsetInCU: 0xCAB, offset: 0xCAB, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x5524C, symBinAddr: 0xC16C, symSize: 0x0 }
  - { offsetInCU: 0xCC4, offset: 0xCC4, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x55250, symBinAddr: 0xC170, symSize: 0x0 }
  - { offsetInCU: 0xCDD, offset: 0xCDD, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x55254, symBinAddr: 0xC174, symSize: 0x0 }
  - { offsetInCU: 0xCF6, offset: 0xCF6, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x55258, symBinAddr: 0xC178, symSize: 0x0 }
  - { offsetInCU: 0x92E5, offset: 0x92E5, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x55260, symBinAddr: 0xC180, symSize: 0x0 }
  - { offsetInCU: 0x936E, offset: 0x936E, size: 0x8, addend: 0x0, symName: __ZL3jvm, symObjAddr: 0x55270, symBinAddr: 0xC190, symSize: 0x0 }
  - { offsetInCU: 0x9387, offset: 0x9387, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x55278, symBinAddr: 0xC198, symSize: 0x0 }
  - { offsetInCU: 0x93A0, offset: 0x93A0, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x55280, symBinAddr: 0xC1A0, symSize: 0x0 }
  - { offsetInCU: 0x93B9, offset: 0x93B9, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x55288, symBinAddr: 0xC1A8, symSize: 0x0 }
  - { offsetInCU: 0x93D2, offset: 0x93D2, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x55290, symBinAddr: 0xC1B0, symSize: 0x0 }
  - { offsetInCU: 0x93EC, offset: 0x93EC, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x55298, symBinAddr: 0xC1B8, symSize: 0x0 }
  - { offsetInCU: 0x94D2, offset: 0x94D2, size: 0x8, addend: 0x0, symName: __ZL11threadsList, symObjAddr: 0x552E0, symBinAddr: 0xC1C0, symSize: 0x0 }
  - { offsetInCU: 0x94F7, offset: 0x94F7, size: 0x8, addend: 0x0, symName: __ZL11threadsName, symObjAddr: 0xF9F0, symBinAddr: 0x8020, symSize: 0x0 }
  - { offsetInCU: 0x951C, offset: 0x951C, size: 0x8, addend: 0x0, symName: __ZL11eventsStart, symObjAddr: 0x552F0, symBinAddr: 0xC1D0, symSize: 0x0 }
  - { offsetInCU: 0x9535, offset: 0x9535, size: 0x8, addend: 0x0, symName: __ZL9eventsEnd, symObjAddr: 0x552F4, symBinAddr: 0xC1D4, symSize: 0x0 }
  - { offsetInCU: 0x954F, offset: 0x954F, size: 0x8, addend: 0x0, symName: __ZL19testedThreadRunning, symObjAddr: 0x552F8, symBinAddr: 0xC1D8, symSize: 0x0 }
  - { offsetInCU: 0x9569, offset: 0x9569, size: 0x8, addend: 0x0, symName: __ZL24testedThreadShouldFinish, symObjAddr: 0x552FC, symBinAddr: 0xC1DC, symSize: 0x0 }
  - { offsetInCU: 0x9582, offset: 0x9582, size: 0x8, addend: 0x0, symName: __ZL7timeout, symObjAddr: 0x55300, symBinAddr: 0xC1E0, symSize: 0x0 }
  - { offsetInCU: 0x959B, offset: 0x959B, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x55308, symBinAddr: 0xC1E8, symSize: 0x0 }
  - { offsetInCU: 0x95B4, offset: 0x95B4, size: 0x8, addend: 0x0, symName: __ZL3jni, symObjAddr: 0x55348, symBinAddr: 0xC1F8, symSize: 0x0 }
  - { offsetInCU: 0x9630, offset: 0x9630, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x1C10, symSize: 0x80 }
  - { offsetInCU: 0x96C5, offset: 0x96C5, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x1B60, symSize: 0xB0 }
  - { offsetInCU: 0x9720, offset: 0x9720, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x1A60, symSize: 0x100 }
  - { offsetInCU: 0x99B3, offset: 0x99B3, size: 0x8, addend: 0x0, symName: _nsk_complain, symObjAddr: 0x580, symBinAddr: 0x1C90, symSize: 0xC0 }
  - { offsetInCU: 0x9A05, offset: 0x9A05, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x1D50, symSize: 0x220 }
  - { offsetInCU: 0x9BEA, offset: 0x9BEA, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x1F70, symSize: 0xA0 }
  - { offsetInCU: 0x9C9D, offset: 0x9C9D, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x2010, symSize: 0x110 }
  - { offsetInCU: 0x9D93, offset: 0x9D93, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x2120, symSize: 0x150 }
  - { offsetInCU: 0x9EF0, offset: 0x9EF0, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x2270, symSize: 0x30 }
  - { offsetInCU: 0x9FDD, offset: 0x9FDD, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1CC0, symBinAddr: 0x22A0, symSize: 0x150 }
  - { offsetInCU: 0xA1D5, offset: 0xA1D5, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1E10, symBinAddr: 0x23F0, symSize: 0x160 }
  - { offsetInCU: 0xA495, offset: 0xA495, size: 0x8, addend: 0x0, symName: _nsk_jvmti_parseOptions, symObjAddr: 0x22A0, symBinAddr: 0x2550, symSize: 0x4A0 }
  - { offsetInCU: 0xA708, offset: 0xA708, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x29F0, symBinAddr: 0x29F0, symSize: 0x1B0 }
  - { offsetInCU: 0xA923, offset: 0xA923, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2BA0, symBinAddr: 0x2BA0, symSize: 0xA0 }
  - { offsetInCU: 0xA9F2, offset: 0xA9F2, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2F10, symBinAddr: 0x2C40, symSize: 0x20 }
  - { offsetInCU: 0xAA29, offset: 0xAA29, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2F30, symBinAddr: 0x2C60, symSize: 0x20 }
  - { offsetInCU: 0xAA60, offset: 0xAA60, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2F50, symBinAddr: 0x2C80, symSize: 0x20 }
  - { offsetInCU: 0xAC0F, offset: 0xAC0F, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3660, symBinAddr: 0x2CA0, symSize: 0x1A0 }
  - { offsetInCU: 0xAF2B, offset: 0xAF2B, size: 0x8, addend: 0x0, symName: _nsk_jvmti_createJVMTIEnv, symObjAddr: 0x3800, symBinAddr: 0x2E40, symSize: 0x130 }
  - { offsetInCU: 0xB0DB, offset: 0xB0DB, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resumeSync, symObjAddr: 0x3C20, symBinAddr: 0x31E0, symSize: 0x1B0 }
  - { offsetInCU: 0xB3CA, offset: 0xB3CA, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DD0, symBinAddr: 0x3390, symSize: 0x80 }
  - { offsetInCU: 0xB493, offset: 0xB493, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E50, symBinAddr: 0x3410, symSize: 0x6A0 }
  - { offsetInCU: 0xC028, offset: 0xC028, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xADD0, symBinAddr: 0x5370, symSize: 0xB0 }
  - { offsetInCU: 0xC09F, offset: 0xC09F, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x44F0, symBinAddr: 0x3AB0, symSize: 0x70 }
  - { offsetInCU: 0xC15B, offset: 0xC15B, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5200, symBinAddr: 0x3B20, symSize: 0xA0 }
  - { offsetInCU: 0xC266, offset: 0xC266, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x6030, symBinAddr: 0x3BC0, symSize: 0x40 }
  - { offsetInCU: 0xC35C, offset: 0xC35C, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6070, symBinAddr: 0x3C00, symSize: 0x2B0 }
  - { offsetInCU: 0xC702, offset: 0xC702, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x6320, symBinAddr: 0x3EB0, symSize: 0xC0 }
  - { offsetInCU: 0xC848, offset: 0xC848, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x63E0, symBinAddr: 0x3F70, symSize: 0x10 }
  - { offsetInCU: 0xC90A, offset: 0xC90A, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x63F0, symBinAddr: 0x3F80, symSize: 0x220 }
  - { offsetInCU: 0xCC07, offset: 0xCC07, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9C00, symBinAddr: 0x41A0, symSize: 0x10 }
  - { offsetInCU: 0xCC64, offset: 0xCC64, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9C10, symBinAddr: 0x41B0, symSize: 0x2A0 }
  - { offsetInCU: 0xCF78, offset: 0xCF78, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x9EB0, symBinAddr: 0x4450, symSize: 0x10 }
  - { offsetInCU: 0xD001, offset: 0xD001, size: 0x8, addend: 0x0, symName: _callbackThreadStart, symObjAddr: 0x9EC0, symBinAddr: 0x4460, symSize: 0x180 }
  - { offsetInCU: 0xD1D8, offset: 0xD1D8, size: 0x8, addend: 0x0, symName: _callbackThreadEnd, symObjAddr: 0xA040, symBinAddr: 0x45E0, symSize: 0x180 }
  - { offsetInCU: 0xD3AF, offset: 0xD3AF, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_scenarios_sampling_SP05_sp05t003ThreadRunningNative_run, symObjAddr: 0xA1C0, symBinAddr: 0x4760, symSize: 0x60 }
  - { offsetInCU: 0xD41F, offset: 0xD41F, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_scenarios_sampling_SP05_sp05t003ThreadRunningNative_checkStarted, symObjAddr: 0xA220, symBinAddr: 0x47C0, symSize: 0x40 }
  - { offsetInCU: 0xD4AB, offset: 0xD4AB, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_scenarios_sampling_SP05_sp05t003ThreadRunningNative_letFinish, symObjAddr: 0xA260, symBinAddr: 0x4800, symSize: 0x10 }
  - { offsetInCU: 0xD5DD, offset: 0xD5DD, size: 0x8, addend: 0x0, symName: __ZL9agentProcP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA270, symBinAddr: 0x4810, symSize: 0xB60 }
  - { offsetInCU: 0xE399, offset: 0xE399, size: 0x8, addend: 0x0, symName: __ZL13waitSuspendedPKc, symObjAddr: 0xB1F0, symBinAddr: 0x5790, symSize: 0x2D0 }
  - { offsetInCU: 0xE65C, offset: 0xE65C, size: 0x8, addend: 0x0, symName: __ZL12checkThreadsPKc, symObjAddr: 0xB4C0, symBinAddr: 0x5A60, symSize: 0x290 }
  - { offsetInCU: 0xE917, offset: 0xE917, size: 0x8, addend: 0x0, symName: __ZL13resumeThreadsPKc, symObjAddr: 0xB750, symBinAddr: 0x5CF0, symSize: 0xF0 }
  - { offsetInCU: 0xEA41, offset: 0xEA41, size: 0x8, addend: 0x0, symName: __ZL5cleanv, symObjAddr: 0xB840, symBinAddr: 0x5DE0, symSize: 0xBF }
  - { offsetInCU: 0xEB57, offset: 0xEB57, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xAE80, symBinAddr: 0x5420, symSize: 0x370 }
...
